package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.MessageReport;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface MessageReportDAO {
	int insert(MessageReport entity);
	int update(MessageReport entity);
	int exist(String id);
	MessageReport get(String id);
	int delete(String id);
	List<MessageReport> list();
	List<MessageReport> search(Map<String, Object> searchParams, List<Sort> sortList);
}